#ifndef EXPLOSION_H
#define EXPLOSION_H

#include "objects.h"

void init_explosions(void);
void free_explosions(void);
void free_explosion(const int explosion_number);
void create_explosion(object_type *owner);
void delete_all_explosions(SDL_Surface *to);
void draw_explosion(const int explosion_number, SDL_Surface *to);
void update_explosion(const int explosion_number, SDL_Surface *to);
void clean_explosion(const int explosion_number, SDL_Surface *to);
void purge_explosion(const int explosion_number, SDL_Surface *to);
void continue_exploding(SDL_Surface *to);

#endif /* EXPLOSION_H */
