#ifndef LIST_H
#define LIST_H	1

#include "objects.h"

struct node_type {
    object_type *object_ptr;
    struct node_type *prev, *next;
};


struct node_type *init_list();
void free_list(struct node_type *root);
void clean_list(struct node_type *root);
struct node_type *insert_into_list(struct node_type *root, object_type *object);
int delete_from_list(struct node_type *root, object_type *object);
struct node_type *search_in_list(struct node_type *root, object_type *object);
object_type *get_first_object(struct node_type *root, struct node_type **walk_ptr);
object_type *get_next_object(struct node_type **walk_ptr);

#endif /* LIST_H */
