#ifndef MAIN_H
#define MAIN_H

#include <SDL/SDL.h>

#define FPS			20
#define REPAIR_DELAY		5
#define CLOCKS_PER_MILISEC	(CLOCKS_PER_SEC / 1000)
#define SEC(x)			(FPS * x)
#define LOGO_COUNT		60
#define LOGO_DELAY		(CLOCKS_PER_SEC / 30)
#define SAVE_SETTINGS		4

#define DEFAULT_MAXIMUM_SHIPS_COUNT	4

typedef Sint16 settings_type[SAVE_SETTINGS];
extern int maximum_ships_count;
extern SDL_Surface *screen;

int Run();

int open_screen(const int width, const int height);

#endif /* MAIN_H */
