#ifndef BACKGROUND_H
#define BACKGROUND_H

#include <SDL/SDL.h>

int init_background(void);
int free_background(void);

void draw_logo(SDL_Surface *to, SDL_Rect *dest);
void draw_background(SDL_Surface *to, SDL_Rect *dest);
void draw_background_tile(SDL_Surface *to, const Sint16 x, const Sint16 y, const Uint16 w, const Uint16 h);
void draw_background_horiz(SDL_Surface *to, const Sint16 x1, const Sint16 y1, const Sint16 x2, const Uint16 w1, const Uint16 w2, const Uint16 h);

/*
 * DRAW_BACKGROUND_TILE2	- draws whole background tile
 *
 * IN:
 *  to		use this surface
 *  dest	destination rect
 */
#define DRAW_BACKGROUND_TILE2(to, dest)	    (SDL_BlitSurface(background_picture, (SDL_Rect *)NULL, to, &dest))

#endif /* BACKGROUND_H */
