#ifndef TERMINAL_H
#define TERMINAL_H

#include <SDL/SDL.h>
#include "input.h"
#include "main.h"

extern int maximum_ships_count, current_ships_count;
extern settings_type *system_settings, *repair_settings;

SDLKey get_user_key(const player_actions what);
void print_user_key(const int ship_number, const player_actions what);
void set_system_settings(const int ship_number);
void set_repair_settings(const int ship_number);
void set_game_settings(void);
int get_answer(const int default_answer);
int continue_question(void);

#endif /* TERMINAL_H */
